Bug 1110326 - perl-Time-Mock-0.0.2-5.fc21 FTBFS on heavily loaded machine
Summary: perl-Time-Mock-0.0.2-5.fc21 FTBFS on heavily loaded machine
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Time-Mock
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-17 12:54 UTC by Petr Pisar
Modified: 2016-07-19 11:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:48:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 96500 None None None Never

Description Petr Pisar 2014-06-17 12:54:03 UTC
perl-Time-Mock-0.0.2-5.fc21 fails to build if the host is heavily loaded. Then some test sensitive to elapsed time will not pass:

#   Failed test at t/import.t line 17.
#     '1402724184'
#         <=
#     '1402724180'
# Looks like you failed 1 test of 7.
t/import.t ... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed

This is causes by this code:

my $start = time;
cmp_ok($start, '>=', $otime + 10_000);
sleep(1);
my $end = time;
cmp_ok($end, '>=', $start + 1);
cmp_ok($end, '<=', $start + 2);

The last cmp_ok() test will fail if the running time is more then 2 throttled seconds (2/100 real seconds).

Comment 1 Jaroslav Reznik 2015-03-03 16:02:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:48:58 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.